Adding layer is changed the last extent

2010-03-27 01:43 PM - aperi2007 -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Canvas

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 12657

Description

Starting from a canvas with some layer and an extent of details.

If a new layer is added, the canvas go to full-extent drawing all in canvas.

The canvas is redra with a full-extent of layers.

This is time consuming for big layers, but the bigger problem is that the last extent is lost so is pretty difficult find the original extent when

the new layer was added.

Some versione ago was possibile use the "last zoom" button to go to the original extent.

Now that button is disabled when a new layer is added.

History

#1 - 2010-03-27 05:25 PM - Giovanni Manghi

Hi,

I cannot reproduce this behaviour on both windows seven and linux with qgis 1.4/trunk. I used also data from various sources.

#2 - 2010-03-28 12:04 AM - aperi2007 -

I see it with 1.5.0.

I can reproduce the bug:

Open qgis 1.5.0 trunk .

Add a shapefile in EPSG:3003 (I don't know if it is an epsg-related bug)

I zoom to a bigger detail (call this "working-extent" for semplicity).

Now if I add to canvas another shapefile (even the same shapefile 2 times)

The canvas go automatically to full-extent.

After add this second layer the  "back" (or last-extent) button is disabled, so is impossible to return to the "working extent".

Of course if I start to zoom the back-button is usable, but is lost the "working-extent".

Perhaps is a bug related to epsg:3003 ?

Add another hint:

If I use the 1.0 version of qgis.

When add the second layer, the canvas go to the full-extent , but the back-button is enabled so is possible return immediately to the "working-extent".

Replying to [comment:1 lutra]:
Hi,

I cannot reproduce this behaviour on both windows seven and linux with qgis 1.4/trunk. I used also data from various sources.

#3 - 2010-03-28 03:21 AM - Giovanni Manghi

Hi,

tested again under win Seven (ultimate 32 bit)/Linux with a 3003 dataset, and still not confirming the behaviour.

Can you test on another machine and/or send a sample dataset?

#4 - 2010-03-28 04:45 AM - aperi2007 -

I tested it on winXP 32bit and on win7 ultimate 64bit.

I confirm the bug :(

I try even to change the international settings (in italy we use the , for decimal).

But both the case the bug is always.

I put the shapefile I'm using for this testing.

https://trac.osgeo.org/qgis/attachment/ticket/2597/esempio.zip

Replying to [comment:3 lutra]:

Hi,

tested again under win Seven (ultimate 32 bit)/Linux with a 3003 dataset, and still not confirming the behaviour.

Can you test on another machine and/or send a sample dataset?

#5 - 2010-03-28 06:54 AM - Giovanni Manghi

Tested again with your data, still not reproducible. :( I guess we will need further feedback from other users.

#6 - 2010-06-12 06:03 AM - Paolo Cavallini

Perhaps I did not understand, but I cannot confirm this misbehaviour. 

Please aperi2007 test it again, if possible on a different machine, to see if we can close this.

#7 - 2010-06-13 01:10 AM - aperi2007 -

Just tested with last version of qgis 1.5 trunk.

Yes, I confirm it.
I start qgis, uncheck the option 

"by default new layers added should be displayed" (to avoid time lost to rendering big archives).

add a shapefile, and zoom to a big details on it. For example 1:2500.

After I load a new shapefile (incidentally is the same shapefile).

With this action the canvas change the visible extent settings it to the new extent (1:163.000)

So I lost the specific point where I'm working :( .

I think the new extent displayed is based on the merge of the two layers (incidentally are the same).

This is quite boring, but with older version of qgis I hovewer could use the "zoom last" button to return to the original extent where the canvas was before to

add the new layer (the bigger details). And this was a work-around to avoid lost the location where I'm working.

Now qgis seem to reset the old-extent so the button "zoom last" is disable after added a new layer.

So I think this is very unusable.

The better choice is surely don't change the visible extent when adding a new layer, but if this is not possible a second choice is permit to use the "zoom

last" button to return to the extent where I was working.

Replying to [comment:6 pcav]:

Perhaps I did not understand, but I cannot confirm this misbehaviour. 

Please aperi2007 test it again, if possible on a different machine, to see if we can close this.

#8 - 2011-03-07 06:56 AM - Anne Ghisla

Is it still reproducible, at least on Windows?

If I have one layer in canvas and I add a new layer that has a different bounding box, the extent remains unaltered with QGIS  on Fedora.

#9 - 2011-04-16 04:53 AM - Maxim Dubinin

- Resolution set to worksforme

- Status changed from Open to Closed

worksforme as well, [[WinXP]], commit:f42443c9 (SVN r15701)

reopen if necessary

Files

esempio.zip 170 KB 2010-03-28 aperi2007 -
